footer {
	position: relative;
	background-color: var(--beige);
	padding-top: 175px;
}

footer .divider_curves {
	color: var(--beige);
}

.social {
	text-align: center;
}

.social__top {
	font-size: 14px;
	line-height: 20px;
	color: var(--green);
	font-weight: 700;
	margin-bottom: 6px;
}

.social__title {
	font-size: 28px;
	line-height: 36px;
	font-weight: 700;
}

.social__list {
	list-style: none;
	margin: 0;
	padding: 27px 0 0 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	gap: 30px;
}

.social__link {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	color: var(--orange);
	transition: color 0.3s ease;
}

.social__link:hover {
	color: var(--blue);
}

.social__link svg {
	width: 27px;
	height: 27px;
}

footer .social {
	margin-bottom: 70px;
}

.newsletter {
	background-color: var(--light-green);
	padding: 28px 42px;
	border-radius: 155px;
	display: flex;
	align-items: center;
	gap: 40px;
	margin-bottom: 68px;
}

.newsletter__text {
	font-size: 20px;
	line-height: 1.45;
	color: var(--green);
	font-weight: bold;
}

.footer_col__title {
	font-size: 28px;
	line-height: 36px;
	font-weight: 700;
	margin-bottom: 40px;
}

.footer_cols {
	display: flex;
	gap: 30px;
	padding-bottom: 84px;
}

.footer_col {
	flex: 0 0 calc(25% - 20px);
}

.footer_col--1 {
	flex: 0 0 calc(50% - 20px);
}

.contact_list {
	padding: 0;
	margin: 0;
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 26px;
}

.contact_item {
	display: flex;
	gap: 17px;
}

.contact_icon {
	width: 36px;
	flex-shrink: 0;
	padding-top: 7px;
}

.contact_icon img,
.contact_icon svg {
	display: block;
}

.contact_text {
	font-size: 16px;
	line-height: 28px;
}

.copyright {
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-top: 1px solid var(--font-color);
	padding: 38px 11px 55px;
}

.copyright__logo {
	max-width: 123px;
}

.copyright__logo a {
	display: block;
	line-height: 0;
}

.copyright__logo img {
	display: block;
	max-width: 123px;
	width: 100%;
	height: auto;
}

.copyright__items {
	padding: 0;
	margin: 0;
	list-style: none;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 0;
}

.copyright__item:not(:first-child)::before {
	content: " \00a0•\00a0 ";
	margin-left: 0.25em;
	margin-right: 0.25em;
}

.copyright__languages {
	padding: 0;
	margin: 0;
	list-style: none;
	display: flex;
	align-items: center;
	gap: 14px;
}

.copyright__language a {
	display: block;
	line-height: 0;
}

.copyright__language img {
	display: block;
	width: 24px;
	height: 24px;
	border-radius: 50%;
	object-fit: cover;
}

.copyright__item {
	font-size: 16px;
	line-height: 28px;
}

.copyright__item,
.copyright__item a {
	color: black;
}

.copyright__item a {
	text-decoration: none;
	transition: color 0.3s ease;
}

.copyright__item a:hover {
	color: var(--pink);
}

ul.footer_levels_list,
ul.footer_locations_list {
	padding: 0;
	margin: 0;
	list-style: none;
	gap: 20px;
	display: flex;
	flex-direction: column;
}

.footer_levels_item a,
.footer_locations_item a {
	font-size: 16px;
	line-height: 21px;
	font-weight: 600;
	letter-spacing: 0.48px;
	color: var(--font-color);
	text-transform: uppercase;
	text-decoration: none;
	transition: color 0.3s ease;
}

.footer_levels_item a:hover,
.footer_locations_item a:hover {
	color: var(--pink);
}

.location_street {
	font-weight: 400;
	text-transform: none;
}

.footer_locations_item a {
	display: flex;
	gap: 16px;
}

.contact_text a {
	color: var(--font-color);
	text-decoration: none;
	transition: color 0.3s ease;
}

.contact_text a:hover {
	color: var(--pink);
}

.mail-title,
.mail-above {
	display: none;
}

.newsletter__form {
	flex: 1;
}

.mail-footer {
	display: flex;
	gap: 24px;
}

.mail-form button {
	min-width: 196px;
}

.mail-footer input {
	width: 277px;
	box-sizing: border-box;
}

button.bt-secondary:hover {
	background-color: var(--pink) !important;
}

.mail-form p {
	margin: 0;
}

li.footer_levels_item {
	line-height: 21px;
}

@media (max-width: 1199px) {
	.footer_locations_item a {
		flex-direction: column;
	}

	.mail-footer input {
		width: 180px;
	}
}

@media (max-width: 991px) {
	.newsletter {
		flex-direction: column;
		gap: 20px;
	}	

	.newsletter__text {
		text-align: center;
	}
}

@media (max-width: 767px) {
	footer {
		padding-top: 183px;
	}	

	footer .social {
		margin-bottom: 64px;
	}

	.newsletter {
		padding: 36px 33px;
		gap: 17px;
		border-radius: 15px;
		margin-bottom: 60px;
	}

	.mail-footer {
		flex-direction: column;
		gap: 17px;
	}

	.mail-footer input {
		width: 100%;
	}

	.mail-form button {
		min-width: 100%;
	}

	.newsletter__form {
		width: 100%;
	}

	.mail-form p {
		width: 100%;
	}

	.footer_cols {
		flex-direction: column;
		gap: 60px;
	}

	footer .top_label {
		text-align: center;
	}

	.footer_col__title {
		text-align: center;
		margin-bottom: 20px;
	}

	.footer_levels_list {
		text-align: center;
	}

	.footer_locations_item a {
		flex-direction: row;
		justify-content: center;
	}

	.copyright {
		flex-direction: column;
		padding-bottom: 27px;
	}

	.copyright__logo {
		margin-bottom: 23px;
	}

	.copyright__items {
		margin-bottom: 31px;
		justify-content: center;
	}

	.copyright__item {
		font-size: 14px;
		line-height: 28px;
	}
}
